// Author: Juan Carlos De Abreu (jcabreur@gmail.com)
//
// This file define a class inherent from Control that allow put a Panel in a
// window.

#ifndef GUI_PANEL_H__
#define GUI_PANEL_H__

#include "../global.h"
#include "control.h"

BEGIN_TEG_NAMESPACE();
BEGIN_NAMESPACE(gui);

class Panel : public Control {
 public:
  // Panel constructor and destructor.
  Panel(int x, int y, int width, int height);
  Panel();

  // Method to render the panel.
  virtual void Render() const;
};

END_NAMESPACE(gui);
END_TEG_NAMESPACE();

#endif  // GUI_PANEL_H__
